Package Details: hhvm-git 20150820-1

Git Clone URL: https://aur.archlinux.org/hhvm-git.git (read-only)
Package Base: hhvm-git
Description: Virtual Machine, Runtime, and JIT for PHP
Upstream URL: http://hhvm.com
Licenses: PHP
Submitter: yan12125
Maintainer: None
Last Packager: yan12125
Votes: 15
Popularity: 0.000000
First Submitted: 2014-10-05 07:01
Last Updated: 2015-08-20 17:17

Required by (0)

Sources (15)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

mtorromeo commented on 2016-09-06 11:04

@packysauce: nope, sorry to disappoint you but I never got it working. The patch was a work in progress that I forgot to cleanup.

The current version here shouldn't encounter the build errors due to the new boost since it has not been moved to stable repositories yet.

I didn't look into the new oniguruma incompatibilities and I currenctly don't plan on maintaining this anymore. I'm dropping this so that someone else can give it a go.

packysauce commented on 2016-09-06 10:22

aaaaaaand it failed because of onigumura name problems :(

/usr/include/oniguruma.h:367:33: error: ‘UChar’ does not name a type

packysauce commented on 2016-09-06 09:23

so by divining the url from the referenced issue I got:

https://github.com/facebook/folly/commit/52155e1d78650fd0360104f70df987dceed06cb2.diff

this got it to start building after a couple of makepkg's.

I appreciate your hard work in maintaining the HHVM AUR, but this is kind of a sloppy oversight, yeah? I tend to sit on the bleeding edge and am happy to help catch these kinds of mistakes.

(5 bucks says you got it working, then just forgot to put the patchfile in the right place :) )

packysauce commented on 2016-09-06 09:02

from PKGBUILD:

# not yet compatible with boost 1.61
# https://github.com/facebook/folly/issues/413
patch -p1 -i "$srcdir"/folly-fiber-remove.patch

That patch doesn't exist, and it isn't referenced in the issue. Maybe I'm just missing something?

nos1609 commented on 2016-08-31 07:18

Fails to compile...

rlees85 commented on 2016-08-27 15:59

Hopefully they will do the right thing upstream then... Normally what happens on Arch will only happen on Ubuntu with a year or so anyway.

Looks like I will have to use php-fpm for my project instead :( installing from AUR using Ansible = not worth the bother.

BTW Thanks for supporting this package plus any others that you do... its all appreciated!

mtorromeo commented on 2016-08-27 11:36

Also about the missing source. I tried submitting it yesterday and the hhvm package was still blacklisted on AUR since it was considered as present in [community]. I'll try again later.

mtorromeo commented on 2016-08-27 11:31

I tried to avoid this but it does not build on the latest boost which is in [staging] now and requires a lot of non trivial work to make it work. Upstream has not even begun to port it so there was not really much that could be done...

rlees85 commented on 2016-08-27 11:25

Very surprised to see this moved to the AUR... must not be used as much as I'd expect...

nos1609 commented on 2016-08-26 14:00

No pkgbuild in the aur repo nor other files needed to build from source